//*******************************************************************
//
//  G r D e m o . D P R
//
//-------------------------------------------------------------------
//
//  v1.00  06-10-99  first release
//  v1.01  07-01-99  many new features
//  v1.02  07-07-99  flicker effect eliminated
//  v1.03  07-12-99  rotation zoomer added
//  v1.04  07-21-99  moving tiles background
//                   animation logic changed to run under Win-95
//  v1.05  07-22-99  wave interference demo added
//                   palette handling extracted to palette.pas
//  v1.06  07-28-99  shell pattern generator
//  v1.07  02-09-99  bump lightning demos added
//  v1.08  03-09-99  lissa dance demo added
//  v1.09  09-09-99  magnify demo added
//
//*******************************************************************
program GrDemo;

uses
  Forms,
  GrAnim in 'GrAnim.pas' {AnimWindow},
  GrForm in 'GrForm.pas' {MainWindow},
  GrAbout in 'GrAbout.pas' {AboutBox},
  MathLib1 in '..\..\..\TP\MU\MATHLIB1.pas',
  Graph in 'Graph.pas',
  plasma in 'Plasma.pas',
  RotoZoom in 'RotoZoom.pas',
  DrawRGB in 'DrawRGB.pas',
  Wavy in 'Wavy.pas',
  palette in 'palette.pas',
  Shelly in 'Shelly.pas',
  FractMap in 'Fractmap.pas',
  BumpLi in 'BumpLi.pas',
  Dance in 'Dance.pas',
  Blur in 'Blur.pas',
  Magnify in 'Magnify.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Graphic Animation Demo';
  Application.CreateForm(TAnimWindow, AnimWindow);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.Run;
end.
